package uk.co.beercave.gunboat.screens;

import uk.co.beercave.gunboat.renderers.FaderRenderer;
import uk.co.beercave.gunboat.renderers.GuiRenderer;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Screen;
import com.badlogic.gdx.graphics.GL10;

public abstract class abstractScreen implements Screen {

	@Override
	public void render(float delta) {
		Gdx.gl.glClearColor(0, 0, 0, 1);
		Gdx.gl.glClear(GL10.GL_COLOR_BUFFER_BIT);
	
		GuiRenderer.update();
		
		onRender(delta);
		

		GuiRenderer.render();
		FaderRenderer.render(delta);
		
	}

	
	public abstract void onRender(float delta);



}
